{{ config(materialized='view') }}

WITH unnested_materials AS (
    SELECT
        primary_category,
        unnest(materials) unnested_material
    FROM {{ source('products', 'products') }}
)

SELECT
    primary_category,
    AVG(lookup.score) AS score
FROM unnested_materials
JOIN {{ ref('material_lookup') }} AS lookup
ON unnested_materials.unnested_material = lookup.material
GROUP BY primary_category
