terraform {
  backend "local" {
    path = "tfstate/terraform.state"
  }
  required_providers {
    postgresql = {
      source  = "cyrilgdn/postgresql"
      version = ">= 1.19.0"
    }
  }
}

module "postgresql" {
  source            = "./modules/postgresql"
  host              = var.pg_host
  port              = var.pg_port
  username          = var.pg_username
  password          = var.pg_password
  pipeline_username = var.pipeline_pg_username
  pipeline_password = var.pipeline_pg_password
  pipeline_db       = var.pipeline_pg_db
  pipeline_schema   = var.pipeline_pg_schema
}

module "airflow" {
  source      = "./modules/airflow"
  pg_host     = var.pg_host
  pg_port     = var.pg_port
  pg_username = var.pipeline_pg_username
  pg_password = var.pipeline_pg_password
  pg_db       = var.pipeline_pg_db
}
