terraform {
  required_providers {
    airflow = {
      source  = "DrFaust92/airflow"
      version = ">= 0.12.5"
    }
  }
}

provider "airflow" {
  base_endpoint = "http://airflow-webserver:8080"
}

resource "airflow_connection" "pg_connection" {
  connection_id = "pg_db"
  conn_type     = "postgres"
  host          = var.pg_host
  port          = var.pg_port
  schema        = var.pg_db
  login         = var.pg_username
  password      = var.pg_password
}
